Tried, Tested and Proven

Vulnerability title: Weak File Permissions in SAP Afaria XeService.exe

CVE: CVE-2015-3449
Vendor: SAP
Product: Afaria XeService.exe
Affected version: 7.0.6398.0
Fixed version: Latest
Reported by: Russ Spooner

Details:

It was identified that the Afaria Windows client software was installed with weak default permissions that granted read and write permissions to the Everyone group to the install folder.

This includes the XeService.exe which is launched at system startup in the context of LocalSystem.

Impact:

An attacker can replace the XeService binary with a malicious one and thereby elevate privileges to LocalSystem after a reboot.

Exploit:

Exploit code not required.

Remediation:

The vendor has released a patch.


Vendor status:

25/02/2014 Advisory created
01/04/2014 Vendor contacted
01/04/2014 Vendor working on a fix
10/02/2015 Fix released
30/04/2015 CVE obtained
25/06/2015 Published
Copyright:

Copyright © Portcullis Computer Security Limited 2015, All rights reserved worldwide. Permission is hereby granted for the electronic redistribution of this information. It is not to be edited or altered in any way without the express written consent of Portcullis Computer Security Limited.

Disclaimer:

The information herein contained may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user’s risk. In no event shall the author/distributor (Portcullis Computer Security Limited) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.